# `BB.Error.Invalid.Parameter`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/invalid/parameter.ex#L5)

Invalid runtime parameter.

Raised when a parameter value is invalid (e.g., out of range,
wrong type, unregistered parameter path).

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Parameter{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  param_path: term(),
  path: term(),
  reason: term(),
  splode: term(),
  stacktrace: term(),
  value: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Invalid.Parameter` without raising it.

## Keys

- :param_path
- :value
- :reason

---

*Consult [api-reference.md](api-reference.md) for complete listing*
